# Generated by Django 3.2 on 2023-10-15 10:50

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0015_remove_datapu_type'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPerhubungan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_halte', models.IntegerField(null=True)),
                ('jml_terminal', models.IntegerField(null=True)),
                ('jml_dermaga', models.IntegerField(null=True)),
                ('jml_tambatan_perahu', models.IntegerField(null=True)),
                ('kondisi_dermaga', models.TextField(null=True)),
                ('kondisi_tambatan_perahu', models.TextField(null=True)),
                ('foto_halte', models.ImageField(null=True, upload_to='profile/images/perhubungan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_terminal', models.ImageField(null=True, upload_to='profile/images/perhubungan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_dermaga', models.ImageField(null=True, upload_to='profile/images/perhubungan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_tambatan_perahu', models.ImageField(null=True, upload_to='profile/images/perhubungan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
